<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/api_auth.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();
$api_auth = new Api_Auth($db);
$data = json_decode(file_get_contents("php://input"));

$api_auth->id = $data->id;

if(!isEmpty($api_auth->id)){
 
if($api_auth->update_patch($data)){
    http_response_code(200);
	echo json_encode(array("status" => "success", "code" => 1,"message"=> "Updated Successfully","document"=> ""));
}
else{
    http_response_code(503);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update api_auth","document"=> ""));
    }
}
else{
    http_response_code(400);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "Unable to update api_auth. Data is incomplete.","document"=> ""));
}
?>
